ServerEvents.recipes(event => {
    event.replaceInput({id: 'ironfurnaces:augments/augment_factory'},
        'minecraft:redstone',
        '#kubejs:grist/energetic/improved'
    );
    event.replaceInput({id: 'ironfurnaces:augments/augment_factory'},
        'minecraft:piston',
        '#kubejs:grist/energetic/basic'
    );

    event.recipes.shapeless('ironfurnaces:augment_generator', ['minecraft:redstone', global.ingotItem('copper'), 'kubejs:grist_primordeal_basic_block']);
    //event.recipes.powah.energizing(['2x #kubejs:grist/energetic/improved', 'ironfurnaces:augment_factory'], 'ironfurnaces:augment_generator', 12000);
});